<section class="inventory-container">
    <section class="filter-container">
        <form [formGroup]="filterFormGroup">
            <!-- <mat-form-field appearance="standard">
              <mat-label>Date</mat-label>
              <input matInput readonly (click)="cfdpicker.open()" [matDatepicker]="cfdpicker" formControlName="date">
              <mat-datepicker-toggle matSuffix [for]="cfdpicker"></mat-datepicker-toggle>
              <mat-datepicker #cfdpicker></mat-datepicker>
            </mat-form-field> -->
            <!-- <mat-form-field appearance="standard">
                <mat-label>Warehouse</mat-label>
                <mat-select name="warehouse" formControlName="warehouse">
                  <mat-option (click)="unselectValue('warehouse')">Select</mat-option>
                  <mat-option *ngFor="let warehouse of wareHouses" [value]="warehouse">
                    {{warehouse}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field appearance="standard">
                <mat-label>Item Code</mat-label>
                <mat-select name="itemCode" formControlName="itemCode">
                  <mat-option (click)="unselectValue('itemCode')">Select</mat-option>
                  <mat-option *ngFor="let item of itemCodes" [value]="item">
                    {{item}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field appearance="standard">
                <mat-label>Item Group</mat-label>
                <mat-select name="itemGroup" formControlName="itemGroup">
                  <mat-option (click)="unselectValue('itemGroup')">Select</mat-option>
                  <mat-option *ngFor="let item of itemGroups" [value]="item">
                    {{item}}
                  </mat-option>
                </mat-select>
              </mat-form-field> -->
              <mat-form-field>
                  <mat-label>Warehouse</mat-label>
                  <i class="fa fa-caret-down" aria-hidden="true"></i>
                  <input type="text" placeholder="Warehouse" matInput [formControl]="warehouse" formControlName="warehouse"
                    [matAutocomplete]="auto3">
                  <mat-autocomplete #auto3="matAutocomplete">
                    <mat-option class="auto-cmplt" *ngFor="let warehouse of filteredWarehouse | async"
                      (click)="updateSelect('filterFormGroup', 'warehouse', warehouse)"
                      [value]="warehouse">
                      {{warehouse}}
                    </mat-option>
                  </mat-autocomplete>
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Item Code</mat-label>
                    <i class="fa fa-caret-down" aria-hidden="true"></i>
                    <input type="text" placeholder="Item Code" matInput [formControl]="itemCode" formControlName="itemCode"
                      [matAutocomplete]="auto2">
                    <mat-autocomplete #auto2="matAutocomplete">
                      <mat-option class="auto-cmplt" *ngFor="let item of filteredItemCode | async"
                        (click)="updateSelect('filterFormGroup', 'itemCode', item)"
                        [value]="item">
                        {{item}}
                      </mat-option>
                    </mat-autocomplete>
                  </mat-form-field>
                  <mat-form-field>
                      <mat-label>Item Group</mat-label>
                      <i class="fa fa-caret-down" aria-hidden="true"></i>
                      <input type="text" placeholder="Item Group" matInput [formControl]="itemGroup" formControlName="itemGroup"
                        [matAutocomplete]="auto1">
                      <mat-autocomplete #auto1="matAutocomplete">
                        <mat-option class="auto-cmplt" *ngFor="let item of filteredItemGroup | async"
                          (click)="updateSelect('filterFormGroup', 'itemGroup', item)"
                          [value]="item">
                          {{item}}
                        </mat-option>
                      </mat-autocomplete>
                    </mat-form-field>
              <button class="btn-group" mat-button (click)="onFilter()">Filter</button>
          </form>
    </section>
    <section class="table-container">
        <div class="mat-elevation-z8">
            <table mat-table matSort [dataSource]="dataSource">
              <!-- Position Column -->
              <ng-container matColumnDef="No">
                <th mat-header-cell *matHeaderCellDef> No </th>
                <td mat-cell *matCellDef="let element; let i = index;"> {{i + 1}}
                </td>
              </ng-container>

              <!-- Position Column -->
              <ng-container matColumnDef="date">
                <th mat-header-cell *matHeaderCellDef > Date </th>
                <td mat-cell *matCellDef="let element" >{{element.date}} </td>
              </ng-container>
          
              <!-- Position Column -->
              <ng-container matColumnDef="itemCode">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Item Code </th>
                <td class="link" mat-cell *matCellDef="let element" (click)="showTransaction(element.pk)">{{element.itemCode}} </td>
              </ng-container>
          
              <!-- Name Column -->
              <ng-container matColumnDef="itemDescription">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Item Description </th>
                <td mat-cell *matCellDef="let element"> {{element.itemDescription}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="itemGroup">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Item Group </th>
                <td mat-cell *matCellDef="let element"> {{element.itemGroup}} </td>
              </ng-container>
              <!-- status Column -->
              <ng-container matColumnDef="wareHouseCode">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Warehouse Code </th>
                <td mat-cell *matCellDef="let element"> {{element.wareHouseCode}} </td>
              </ng-container>
               <!-- status Column -->
               <ng-container matColumnDef="wareHouseDesc">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Warehouse Description </th>
                <td mat-cell *matCellDef="let element"> {{element.wareHouseDesc}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="item.unitSet">
                <th mat-header-cell *matHeaderCellDef> Item UnitSet </th>
                <td mat-cell *matCellDef="let element"> {{element.item.unitSet}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="availableQuantity">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Available Quantity </th>
                <td mat-cell *matCellDef="let element"> {{element.availableQuantity}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="currency">
                <th mat-header-cell *matHeaderCellDef> Currency </th>
                <td mat-cell *matCellDef="let element"> {{element.currency}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="price">
                <th mat-header-cell *matHeaderCellDef> Item Price </th>
                <td mat-cell *matCellDef="let element"> {{element.price}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="maucValue">
                <th mat-header-cell *matHeaderCellDef> MAUC value </th>
                <td mat-cell *matCellDef="let element"> {{element.maucValue}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="maucValueInSAR">
                <th mat-header-cell *matHeaderCellDef> MAUC value In SAR </th>
                <td mat-cell *matCellDef="let element"> {{element.maucValueInSAR}} </td>
              </ng-container>
              <!-- createdDate Column -->
              <ng-container matColumnDef="inventoryValue">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Inventory Value</th>
                <td mat-cell *matCellDef="let element"> {{element.inventoryValue}} </td>
              </ng-container>
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
          </div>
          <button class="print-btn" mat-button (click)="onPrint()">Print</button>
    </section>    
</section>
<section class="print-screen">
    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="printDataSource">
          <!-- Position Column -->
          <ng-container matColumnDef="No">
            <th mat-header-cell *matHeaderCellDef> No </th>
            <td mat-cell *matCellDef="let element; let i = index;"> {{i + 1}}
            </td>
          </ng-container>

          <!-- Position Column -->
          <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef> Date </th>
            <td mat-cell *matCellDef="let element" >{{element.date}} </td>
          </ng-container>
      
          <!-- Position Column -->
          <ng-container matColumnDef="itemCode">
            <th mat-header-cell *matHeaderCellDef> Item Code </th>
            <td class="link" mat-cell *matCellDef="let element" (click)="showTransaction(element.pk)">{{element.itemCode}} </td>
          </ng-container>
      
          <!-- Name Column -->
          <ng-container matColumnDef="itemDescription">
            <th mat-header-cell *matHeaderCellDef> Item Description </th>
            <td mat-cell *matCellDef="let element"> {{element.itemDescription}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="itemGroup">
            <th mat-header-cell *matHeaderCellDef> Item Group </th>
            <td mat-cell *matCellDef="let element"> {{element.itemGroup}} </td>
          </ng-container>
          <!-- status Column -->
          <ng-container matColumnDef="wareHouseCode">
            <th mat-header-cell *matHeaderCellDef> Warehouse Code </th>
            <td mat-cell *matCellDef="let element"> {{element.wareHouseCode}} </td>
          </ng-container>
           <!-- status Column -->
           <ng-container matColumnDef="wareHouseDesc">
            <th mat-header-cell *matHeaderCellDef> Warehouse Description </th>
            <td mat-cell *matCellDef="let element"> {{element.wareHouseDesc}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="item.unitSet">
            <th mat-header-cell *matHeaderCellDef> Item UnitSet </th>
            <td mat-cell *matCellDef="let element"> {{element.item.unitSet}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="inventoryValue">
            <th mat-header-cell *matHeaderCellDef>Inventory Value</th>
            <td mat-cell *matCellDef="let element"> {{element.inventoryValue}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="availableQuantity">
            <th mat-header-cell *matHeaderCellDef> Available Quantity </th>
            <td mat-cell *matCellDef="let element"> {{element.availableQuantity}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="currency">
            <th mat-header-cell *matHeaderCellDef> Currency </th>
            <td mat-cell *matCellDef="let element"> {{element.currency}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="price">
            <th mat-header-cell *matHeaderCellDef> Item Price </th>
            <td mat-cell *matCellDef="let element"> {{element.price}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="maucValue">
            <th mat-header-cell *matHeaderCellDef> MAUC value </th>
            <td mat-cell *matCellDef="let element"> {{element.maucValue}} </td>
          </ng-container>
          <!-- createdDate Column -->
          <ng-container matColumnDef="maucValueInSAR">
            <th mat-header-cell *matHeaderCellDef> MAUC value In SAR </th>
            <td mat-cell *matCellDef="let element"> {{element.maucValueInSAR}} </td>
          </ng-container>
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
</section>